PUT Save Contact Custom Fields​
PUT
/custom-fields/contacts
Save (replace) all custom contact field definitions. This overwrites the entire set of custom fields. Each field without a slug will have one auto-generated from its label. Duplicate slugs are deduplicated automatically.
Authorizations​
ApplicationPasswords
WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password
Type
API Key (header: Authorization)
Request Body​
application/json
JSON
{
"fields": [
{
"label": "string",
"slug": "string",
"type": "string",
"group": "string",
"options": [
"string"
]
}
]
}
Responses​
Custom fields saved successfully.
application/json
JSON
{
"fields": [
{
"label": "string",
"slug": "string",
"type": "string",
"group": "string",
"options": [
"string"
]
}
],
"message": "string"
}